﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace Chart_GettingStarted
{
	public partial class MainPage : ContentPage
	{
        ViewModel viewModel;
		public MainPage()
		{
			InitializeComponent();
            viewModel = Chart.BindingContext as ViewModel;
        }

        private void Chart_Scroll(object sender, Syncfusion.SfChart.XForms.ChartScrollEventArgs e)
        {
            e.Axis.AutoScrollingDelta = double.NaN;
        }

        protected override void OnAppearing()
        {
            if (viewModel != null)
                viewModel.StartTimer();
            base.OnAppearing();
        }

        void EnableAutoScrolling_Clicked(object sender, System.EventArgs e)
        {
            Chart.PrimaryAxis.AutoScrollingDelta = 30;
        }

    }

}
